<?php
//##copyright##

class iaCaptcha extends abstractUtil
{
	// Get a key from https://www.google.com/recaptcha
	protected $_publicKey = '';
	protected $_privateKey = '';

	protected $_theme;

	protected $_error;


	public function __construct()
	{
		parent::init();

		require_once dirname(__FILE__) . IA_DS . '..' . IA_DS . 'recaptcha' . IA_DS . 'recaptchalib.php';

		$this->_publicKey = $this->iaCore->get('recaptcha_publickey');
		$this->_privateKey = $this->iaCore->get('recaptcha_privatekey');
		$this->_theme = $this->iaCore->get('recaptcha_theme');

		$this->iaCore->iaView->add_css('_IA_URL_plugins/recaptcha/templates/front/css/style');
	}

	public function getImage()
	{
		if (!$this->_publicKey || !$this->_privateKey)
		{
			return iaLanguage::get('recaptcha_set_configuration');
		}

		return recaptcha_get_html($this->_publicKey, $this->_error, $this->_theme);
	}

	public function validate()
	{
		$response = recaptcha_check_answer($this->_privateKey, $_SERVER['REMOTE_ADDR'], $_POST['recaptcha_challenge_field'], $_POST['recaptcha_response_field']);

		if ($response->is_valid)
		{
			return true;
		}

		return false;
	}

	public function getPreview()
	{
		return $this->getImage();
	}
}